
GammaLib - Action #1436

Add check for existence of columns in CTA IRF

03/05/2015 04:32 PM - Knödlseder Jürgen

Status: Closed Start date: 03/05/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The response table loading does not verify whether requested columns do exist. Some code should be added that checks whether

the data format read complies to the assumed format. This will allow to detect usage of old formats in case that the format changed.

Associated revisions

Revision 1a310b71 - 03/05/2015 05:37 PM - Knödlseder Jürgen

Check axis formats for response table FITS files upon reading.

This fixes #1436.

Revision a1742ade - 03/05/2015 05:38 PM - Knödlseder Jürgen

Check axis formats for response table FITS files upon reading.

This fixes #1436.

History

#1 - 03/06/2015 04:27 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

Implemented and in devel branch.
